# Gnome::Gda::SqlParserError Class Reference

Inherits Glib::Error.

Collaboration diagram for Gnome::Gda::SqlParserError:
[legend]

List of all members.

## Public Types
enum | Code { SQL_PARSER_SYNTAX_ERROR, SQL_PARSER_OVERFLOW_ERROR, SQL_PARSER_EMPTY_SQL_ERROR }
## Public Member Functions
| SqlParserError (Code error_code, const Glib::ustring& error_message)
| SqlParserError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

enum Gnome::Gda::SqlParserError::Code

Enumerator:

  SQL_PARSER_SYNTAX_ERROR |
  SQL_PARSER_OVERFLOW_ERROR |
  SQL_PARSER_EMPTY_SQL_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::SqlParserError::SqlParserError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gnome::Gda::SqlParserError::SqlParserError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::SqlParserError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- libgdamm/sqlparser.h